using System.Data;

namespace KB8406_SampleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            // Columns
            DataColumn idColumn = dt.Columns.Add("ID", typeof(int));
            dt.PrimaryKey = new DataColumn[] { idColumn };
            for (int i = 1; i < 4; i++)
            {
                dt.Columns.Add("Col" + i.ToString(), typeof(String));
            }

            // Rows
            for(int rowIndex = 0; rowIndex < 5; rowIndex++)
            {
                DataRow newRow = dt.NewRow();
                newRow["ID"] = rowIndex;

                for(int colIndex = 1; colIndex < newRow.ItemArray.Length; colIndex++)
                {
                    newRow[colIndex] = "Row " + rowIndex.ToString() + ", Col " + colIndex.ToString();
                }

                dt.Rows.Add(newRow);
            }

            return dt;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if((int)e.Row.Cells["ID"].Value == 1)
            {
                e.Row.Cells["Col1"].TabStop = Infragistics.Win.DefaultableBoolean.False;
                e.Row.Cells["Col1"].Activation = Infragistics.Win.UltraWinGrid.Activation.Disabled;
            }
        }
    }
}